<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Tab_penambahan_perkara extends CI_Controller {
	function index(){
		
		$post = $this->input->post();
		//print_r($this->input->post('bulan'));

		$this->load->model('dashboard/data_dashboard','indikator');
		if(!empty($post)){
			//$tahun_perkara=$_POST["tahun"];
			//$bulan_perkara=$_POST["bulan"];
			$tahun_perkara=$this->input->post('tahun');
			$bulan_perkara=$this->input->post('bulan');
			//$tahun_perkara=$_POST["tahun"];
			//$bulan_perkara=$_POST["bulan"];
			//echo $tahun_perkara;
			//echo $$bulan_perkara;
		}else{
			$tahun_perkara=date('Y');
			$bulan_perkara=date('m');
		}
		//echo $tahun_perkara;
		//echo $bulan_perkara;

		if($tahun_perkara=='') $tahun_perkara= date("Y");
		if($bulan_perkara=='') $bulan_perkara= date("m");
		$blndepan = $bulan_perkara + 1;
		if(strlen($bulan_perkara)==1) $bbulan_perkaraln='0'.$bulan_perkara;
		if(strlen($blndepan)==1) $blndepan='0'.$blndepan;

		$bulanini = $tahun_perkara .'-'.$bulan_perkara;
		$bulandepan = $tahun_perkara.'-'.$blndepan;
		if($bulan_perkara==12){ 
			$bulandepan = intval($tahun_perkara+1).'-01';
		}

		$data['tahun_perkara']=$this->indikator->tahun_perkara();
		$data['tahun_terpilih']=$tahun_perkara;
		$data['bulan_terpilih']=$bulan_perkara;
		$data['bulanini']=$bulanini;
		$data['bulandepan']=$bulandepan;
		$data['nama_bulan']=array('01'=>'Januari', '02'=>'Februari', '03'=>'Maret', '04'=>'April', 
							'05'=>'Mei', '06'=>'Juni', '07'=>'Juli', '08'=>'Agustus', '09'=>'September', 
							'10'=>'Oktober', '11'=>'November', '12'=>'Desember');
		$this->load->model('dashboard/data_dashboard','indikator');
		$data['data_penambahan_perkara']=$this->indikator->get_penambahan_perkara($bulanini,$bulandepan);
		$data['tahun_perkara']=$this->indikator->tahun_perkara(); 
		$this->load->vars($data);
		$this->load->view('dashboard/penambahan_perkara');
		$this->load->view('footer');
	}

	function ajaxku(){
		$post = $this->input->post();
		if (empty($post)){
			show_404();
		}
		$bulan = $post = $this->input->post('bulan');
		$tahun = $this->input->post('tahun');
		echo "<table id='tablePerkaraAll'>";
		echo "<tr>";
		echo "<td>";echo 'f,sdlfm;,dsm fmds ;l';
		echo "</td>";
		echo "</tr>";
		echo "</table>";
	}

}
